# Note that this is NOT a relocatable package
%define ver      1.4.1.2
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define  prefix  %{_prefix}
%define  sysconfdir %{prefix}/etc

Summary: The libraries needed to run the GNOME GUI desktop environment.
Name: gnome-libs
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/stable/gnome-libs/%name-%{ver}.tar.gz
Patch0: gnome-libs-%{ver}-aix.patch
URL: http://www.gnome.org/
BuildRoot: /var/tmp/%{name}-root
BuildRequires: libtool >= 1.3.5
Requires: gtk+ >= 1.2.3
Docdir: %{prefix}/doc
Obsoletes: gnome

%define stdlib lib
%define liblink ../..
%define DEFCC /usr/vac/bin/xlc

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  The gnome-libs package
includes libraries that are needed to run GNOME.

%package devel
Summary: Libraries and include files for developing GNOME applications.
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}
Requires: imlib-devel
Requires: ORBit-devel
Requires: gtk+-devel
Obsoletes: gnome-devel

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-libs-devel package
includes the libraries and include files that you will need to develop
GNOME applications.

You should install the gnome-libs-devel package if you would like to
develop GNOME applications.  You don't need to install gnome-libs-devel
if you just want to use the GNOME desktop environment.

%prep
%setup -q
%patch0 -p1 -b .aix
automake -i libgnome/Makefile
libtoolize --force

%build
%ifarch alpha
MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif
# Needed for snapshot releases.

# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if test "X$CC" != "Xgcc"
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -ma -qlanglvl=extended"
       export CFLAGS="$RPM_OPT_FLAGS"
fi

MYCFLAGS="$RPM_OPT_FLAGS"

if [ ! -f configure ]; then
  CFLAGS="$MYCFLAGS" LDFLAGS="-Wl,-brtl" ./autogen.sh $MYARCH_FLAGS --prefix=%prefix --localstatedir=/var/lib --sysconfdir=%{sysconfdir}
else
  CFLAGS="$MYCFLAGS" LDFLAGS="-Wl,-brtl" ./configure $MYARCH_FLAGS --prefix=%prefix --localstatedir=/var/lib --sysconfdir=%{sysconfdir} 
  (cd libart_lgpl && \
	CFLAGS="$MYCFLAGS" LDFLAGS="-Wl,-brtl" ./configure $MYARCH_FLAGS \
	 --prefix=%prefix --localstatedir=/var/lib --sysconfdir=%{sysconfdir} )
fi

# Patch config.h
#echo "#define HAVE_LIBINTL_H 1" >> config.h

if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP" LDFLAGS="-Wl,-brtl -lintl"
else
  make LDFLAGS="-Wl,-brtl -lintl"
fi

%install
rm -rf $RPM_BUILD_ROOT

make sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} prefix=$RPM_BUILD_ROOT%{prefix} install localstatedir=$RPM_BUILD_ROOT/var/lib

/usr/bin/strip $RPM_BUILD_ROOT%{prefix}/bin/* $RPM_BUILD_ROOT%{prefix}/sbin/* ||:


(cd $RPM_BUILD_ROOT
 for dir in sbin bin include
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{prefix}/$dir/* .
    cd -
 done

 mkdir -p usr/%{stdlib}
 cd usr/%{stdlib}
 ln -sf %{liblink}%{prefix}/lib/* .
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/man/man1/*
%{prefix}/man/man5/*
%{prefix}/lib/lib*.so*
/usr/%{stdlib}/lib*.so*
%{prefix}/bin/dns-helper
%{prefix}/bin/gconfigger
%{prefix}/bin/gnome-bug
%{prefix}/bin/gnome-dump-metadata
%{prefix}/bin/gnome-gen-mimedb
%{prefix}/bin/gnome-moz-remote
%{prefix}/bin/gnome-name-service
%{prefix}/bin/gnome_segv
%{prefix}/bin/goad-browser
%{prefix}/bin/loadshlib
%{prefix}/bin/new-object
/usr/bin/dns-helper
/usr/bin/gconfigger
/usr/bin/gnome-bug
/usr/bin/gnome-dump-metadata
/usr/bin/gnome-gen-mimedb
/usr/bin/gnome-moz-remote
/usr/bin/gnome-name-service
/usr/bin/gnome_segv
/usr/bin/goad-browser
/usr/bin/loadshlib
/usr/bin/new-object
%ifos linux
%attr(2755, root, utmp) %{prefix}/sbin/gnome-pty-helper
%else
%attr(2755 root, system) %{prefix}/sbin/gnome-pty-helper
%endif
/usr/sbin/gnome-pty-helper
%{prefix}/lib/locale/*/*/*
%{prefix}/share/idl/*
%{prefix}/share/pixmaps/*
%{prefix}/share/mime-info/gnome.mime
%{prefix}/share/type-convert/type.convert
%config %{sysconfdir}/*

%files devel
%defattr(-, root, root)

%doc devel-docs

%{prefix}/bin/gnome-config
%{prefix}/bin/libart-config
/usr/bin/gnome-config
/usr/bin/libart-config
%{prefix}/lib/*.sh
%{prefix}/lib/gnome-libs
/usr/%{stdlib}/*.sh
/usr/%{stdlib}/gnome-libs
%{prefix}/include/*
/usr/include/*
%{prefix}/share/aclocal/*
%{prefix}/share/doc/*

%changelog
* Thu Oct 18 2001 Dan Nguyen <dnn@us.ibm.com
- Updated to 1.4.1.2

* Fri Oct 12 2001 Kevin Monroe <monroek@us.ibm.com>
- Rebuild for new ORBIT directory structure.

* Mon Aug 20 2001 Dan McNichol <mcnichol@austin.ibm.com>
- Update to version 1.2.13.

* Fri Mar 09 2001 Marc Stephenson <marc@austin.ibm.com>
- Add logic for default compiler
- Rebuild against new shared objects

* Thu Feb 15 2001 aixtoolbox <aixtoollbox-l@austin.ibm.com>
- Account for different standard lib location in IA64 32-bit ABI

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- keyboard mapping follows debian policy, xterm

* Tue Feb 15 2000 Owen Taylor <otaylor@redhat.com>
- Add checks to make sure gnome-terminal survives if the
  bg pixmap vanishes.

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Install gtkrc files in /etc/gnome

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Remove broken alpha timeval fix, fix bug in configure.in
  that was misdetecting ut_tv field of utmpx

* Thu Feb 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up escape sequences in zvt (Bug #9143)

* Fri Feb 04 2000 Elliot Lee <sopwith@redhat.com>
- Accept true/yes/non-zero as TRUE for gnome-config boolean values.

* Wed Feb 03 2000 Havoc Pennington <hp@redhat.com>
- set ECHOK for terminal widget, bug 8823

* Wed Feb 02 2000 Havoc Pennington <hp@redhat.com>
- include man pages in the file list, also bug 8017

* Wed Feb 02 2000 Havoc Pennington <hp@redhat.com>
- Fix an alpha warning bugzilla #8017

* Tue Feb 01 2000 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.55

* Tue Aug 31 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.15

* Mon Aug 30 1999 Elliot Lee <sopwith@redhat.com>
- Merge in various minor things from RHL

* Mon Jun 14 1999 Gregory McLean <gregm@comstar.net>

- Added the -q option to the setup stage, quiet please!

* Tue Mar 2  1999 Gregory McLean <gregm@comstar.net>

- Added some hackage in for the brain dead libtool on the alpha
- Cleaned up the spec file abit to be more consistant.

* Wed Feb 17 1999 Elliot Lee <sopwith@redhat.com>

- Add debugging disabling flags to $CFLAGS

* Fri Nov 20 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>

- use --localstatedir=/var/lib in config state (score files for games
  for exemple will go there).
- added several more files to %files section, in particular language
  files and corba IDLs

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>

- Updated to version 0.30

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Added %{prefix}/lib/gnome-libs

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>

- Integrate into gnome-libs source tree
